#ifndef ONETHREADSERVER_H
#define ONETHREADSERVER_H

#include <QObject>
#include <QTcpServer>
#include "contactsjsoncontroller.h"

class OneThreadServer : public QTcpServer
{
    Q_OBJECT
public:
    OneThreadServer(QObject *parent = Q_NULLPTR);

    // QTcpServer interface
protected:
    virtual void incomingConnection(qintptr handle);
private slots:
    void onReadyRead();
    void onDisconnected();
private:
    ContactsJsonController controller;
};

#endif // ONETHREADSERVER_H
